binogausrob <- function(n = 30, p = .2, nbpoints = 40 * 8 + 1){
 sigma = sqrt(n * p * (1 - p))
 x <- seq(-4, 4, length.out = nbpoints)
 f <- function(v){dbinom(floor(v + .5), n, p)}
 g <- function(v){sigma * f(n * p + sigma * v)}
 fx <- f(x)
# print(x)
#************** Affichage des rsultats et des graphiques ***************
 plot(x, g(x), type= "l", lty = 2,
      xlab = "variable X continue centre rduite", ylab = "Densit",
      main = paste("Binomiale n =", n, ", p =", p, ", subdivision de :", nbpoints))
 points(x, dnorm(x, 0, 1), type = "l", col = "red")
 
# plot(x, floor(x + .5), type = "l", lab = c(20, 10, 6))
# plot(x, floor(x + .5), type = "l")
# plot(x, n * p + sigma * sqrt(n) * x, type = "l", lab = c(20, 10, 6))
}
