geotronkd = function(n = 6, r = 30, m = 100, nsim = 1000){
   urne <- seq(1,m)
   premrouge <- vector(length = nsim)
   tabloeffec <- rep(0,n+1)
   names(tabloeffec) <- 0:n
   for(j in 1:nsim){
     expe <- sample(urne,n,replace=T)
     if(min(expe) > r)   {
        premrouge[j] <- 0} else {
        premrouge[j] <- min(which(expe <= r))
                                 }
                   }
   effec <- table(premrouge)
   tabloeffec[as.numeric(names(effec))+1] <- effec
   print ("tabloeffec/nsim")
   print (tabloeffec/nsim)
   barplot(tabloeffec, xlab = "Rang de la premire rouge", ylab = "Effectif")                
}