qcmd = function(nquest = 20, nrepon = 4, k = 10, nsim = 1000){
   vectexam <- vector(length = nsim)
   tabloeff <- rep(0,nquest+1)
   names(tabloeff) <- 0:nquest
   for(i in 1:nsim){
      vectepreuv <- sample(1:nrepon,nquest,replace=T)
      vectexam[i] <- sum(vectepreuv == 1)
                   }
   eff <- table(vectexam)
   tabloeff[as.numeric(names(eff))+1] <- eff
   cumdecroi <- (cumsum(tabloeff[(nquest+1):1]))[(nquest+1):1]
   print("tabloeff/nsim"); print(tabloeff/nsim)
   print("cumdecroi/nsim");print(cumdecroi/nsim)
   par(mfrow=c(2,1))
   barplot(tabloeff, xlab = "Nombre de rponses justes", ylab = "Effectif")
   barplot(cumdecroi, xlab = "Nombre de rponses justes", ylab = "Effectif cumuls dcroissants")  
}