simurnsansd = function(n = 2, r = 3, v = 2, nbsim = 5000){
  urne <- rep(c(0, 1),c(r, v))
  DistSim <- vector(length = nbsim)
  tabloeffec <- rep(0,n+1)
  names(tabloeffec) <- 0:n
  for (i in 1:nbsim){
        vectepreuv <- sample(urne,n,replace=F)
        vectexpe <- sum(vectepreuv)
        DistSim[i] <- vectexpe
                   }
  effec <- table(DistSim)
  tabloeffec[as.numeric(names(effec))+1] <- effec
  print ("tabloeffec/nbsim")
  print (tabloeffec/nbsim)
  barplot(tabloeffec, xlab = "Nombre de vertes", ylab = "Effectif")
  cat("Estimation de la probabilit de 0 verte =",tabloeffec[1]/nbsim,"\n")
  cat("Moyenne de la distribution simule du nombre de vertes =",
      mean(DistSim),"\n")
  cat("Estimation de la probabilit de 2 boules de la mme couleur =",
     (tabloeffec[1] + tabloeffec[3])/nbsim,"\n")
}

simavecsansd = function(n = 2, r = 3, v = 2, nbsim = 5000){
  urne1 <- rep(c(0, 1),c(r, v))
  urne2 <- rep(c(0, 1),c(r, v-1))
  tabloeffec <- rep(0,4)
  names(tabloeffec) <- c("VV", "VR", "RV", "RR")
  for (i in 1:nbsim){
       tirage1 <- sample(urne1,1)
       if(tirage1 == 0){tirage2 <- sample(urne1,1)} else {
         tirage2 <- sample(urne2,1)                      }
       if((tirage1 == 1)&(tirage2 == 1)) tabloeffec[1] <- tabloeffec[1]+1
       if((tirage1 == 1)&(tirage2 == 0)) tabloeffec[2] <- tabloeffec[2]+1
       if((tirage1 == 0)&(tirage2 == 1)) tabloeffec[3] <- tabloeffec[3]+1
       if((tirage1 == 0)&(tirage2 == 0)) tabloeffec[4] <- tabloeffec[4]+1
                   }
  print ("tabloeffec/nbsim")
  print (tabloeffec/nbsim)
  barplot(tabloeffec, xlab = "COUPLES TIRS", ylab = "Effectif")
  cat("Estimation de la probabilit de seule la premire est verte =",
        tabloeffec[2]/nbsim,"\n")
  cat("Estimation de la probabilit de une seule verte =",
       (tabloeffec[2] + tabloeffec[3])/nbsim,"\n")
  cat("Estimation de la probabilit que, sachant qu'une seule verte a t tire,
       ce soit la premire", tabloeffec[2]/(tabloeffec[2] + tabloeffec[3]),"\n")
}