centralimite = function(a = 0, b = 1, r = 1, n = 4, nsim = 1000, nbclass = 25){
 moyennes <- vector(length = nsim)
 variances <- vector(length = nsim)
   for(i in 1:nsim){
     expe <- runif(n, min = a, max = b)
     # expe <- rexp(n,rate = r)
     moyennes[i] <- mean(expe)
     variances[i] <- var(expe)
                  }
   par(mfrow = c(3,1))
   infexpe <- floor(min(expe)*100)/100 ; supexpe <- ceiling(max(expe)*100)/100
   etendexpe <- (supexpe - infexpe)/nbclass
   infmoy <- floor(min(moyennes)*100)/100 ; supmoy <- ceiling(max(moyennes)*100)/100
   etendmoy <- (supmoy - infmoy)/nbclass
   infvar <- floor(min(variances)*100)/100 ; supvar <- ceiling(max(variances)*100)/100
   etendvar <- (supvar - infvar)/nbclass
#*************Affichage des graphiques et des rsultats**************
   # cat(etendmoy, etendvar, "\n")
   cat("Moyenne des moyennes =",mean(moyennes), "-- Variance des moyennes =",var(moyennes),
      "\n Moyenne des variances =",mean(variances),"-- Variances des variances =", var(variances),"\n" )
   histexpe <- hist((expe),breaks=seq(infexpe,supexpe,etendexpe),right=F,
      xlab = "variable parent uniforme", main = paste("Echantillons de taille", n))
   histmoy <- hist((moyennes),breaks=seq(infmoy,supmoy,etendmoy),right=F,
      xlab = "variable moyenne", main = paste("Moyennes d'chantillons de taille", n))
   histvar <- hist((variances),breaks=seq(infvar,supvar,etendvar),right=F,
      xlab = "variable variance", main = paste("Variances d'chantillons de taille", n))
   # print(histmoy$breaks);print(histmoy$counts)
   # print(histvar$breaks);print(histvar$counts)
}
