chainesd = function(L = 6, tirages = 200, urne=1:2, nbsim = 2000){
  nblongMax <- vector(length = nbsim)
  for(i in 1:nbsim){
      expe <- sample(urne,tirages,replace=T)
      rexpe <- rle(expe)
      nblongMax[i] <- max(rexpe$length)
                   }
  tablemax <- table(nblongMax)
  StatL <- sum(tablemax[(as.numeric(names(tablemax)) >= L)])/nbsim
  etendtablemax <- (max(as.numeric(names(tablemax))) - min(as.numeric(names(tablemax))))
  tabloeffec <- rep(0,etendtablemax + 1)
  names(tabloeffec) <- (min(as.numeric(names(tablemax)))):(max(as.numeric(names(tablemax))))
  tabloeffec[as.numeric(names(tablemax)) - min(as.numeric(names(tablemax))) + 1] <- tablemax
  cat("Une estimation de la probabilit de chaines de longueur",L,"ou plus")
  cat(" vaut :",StatL,"\n \n" )
  print("Distribution de la longueur maximale des chaines (runs)")
  print(tabloeffec)
  # print(tablemax)
  barplot(tabloeffec,
  xlab = paste("Longueur maximale de chaine dans les ", tirages, "tirages"),
  ylab = "Effectif")
}