simulif = function(n = 100, p =.52, nsim = 1000){
  tabloeffec <- rep(0,n+1)
  names(tabloeffec) <- 0:n
  vecbino <- rbinom(nsim, n, p)
  effec <- table(vecbino)
  minvec <- min(vecbino) ; maxvec <- max(vecbino) ; nbminmax <- maxvec - minvec + 1
  tablominmax <- vector(length = nbminmax)
  names(tablominmax) <- minvec:maxvec
  tablominmax[as.numeric(names(effec)) - minvec + 1] <- effec 
  tabloeffec[as.numeric(names(effec))+1] <- effec
  cuminmax <- cumsum(tablominmax)
  quantiles <- quantile(vecbino, probs = c(.5,1,2.5,5,25,50,75,95,97.5,99,99.5)/100)
  # print(tablominmax)
  # print ("tabloeffec")
  # print (tabloeffec)
  # cat("\n")
  # print ("tabloeffec/nsim")
  # print (tabloeffec/nsim)
  cat("\n")
  print("Quantiles")
  print(quantiles)
  par(mfrow = c(3,1))
  barplot(tabloeffec, xlab = "Nombre de succs", ylab = "Effectif")
  barplot(tablominmax, xlab = "Nombre de succs", ylab = "Effectif")
  barplot(cuminmax, xlab = "Nombre de succs", ylab = "Effectif cumuls")
  # barplot(tabloeffec, xlab = "Nombre de succs", ylab = "Effectif", xlim = c(minvec, maxvec) )
}

n = 100 ; p =.53 ; nsim = 1000
vecbino <- rbinom(nsim, n, p)
effec <- table(vecbino)
print(effec)
minvec <- min(vecbino) ; maxvec <- max(vecbino) ; nbminmax <- maxvec - minvec + 1
tablominmax <- rep(0,nbminmax)
names(tablominmax) <- minvec:maxvec
tablominmax[as.numeric(names(effec)) - minvec + 1] <- effec
print(tablominmax)
    