centralimite = function(a = 0, b = 1, r = 1, n = 4, nsim = 1000, nbclass = 40){
 sommes <- vector(length = nsim)
 mu <- n * (a + b) / 2 ; sigma <- sqrt(n *(b - a)^2 / 12)
# variances <- vector(length = nsim)
 for(i in 1:nsim){
   # expe <- rexp(n,rate = r)
   expe <- runif(n, min = a, max = b)
   sommes[i] <- sum(expe)
                 }
   somexpe <- (sommes - mu) / sigma
# infexpe <- floor(min(expe)*100)/100 ; supexpe <- ceiling(max(expe)*100)/100
# etendexpe <- (supexpe - infexpe)/nbclass
# infsom <- floor(min(somexpe)*100)/100 ; supsom <- ceiling(max(somexpe)*100)/100
# etendsom <- (supsom - infsom)/nbclass
 x <- seq(-4, 4, 8 / nbclass) ; ygaus <- dnorm(x)
#***********Affichage des graphiques et des rsultats**************

 cat("\nMoyenne des sommes centres rduites =",mean(somexpe),
    "-- Variance des sommes  centres rduites =",var(somexpe),"\n")
 par(mfrow = c(2,1))
 histexpe <- hist((expe), breaks=seq(a, b, (b - a) / nbclass), right=F, freq = F,
    xlab = "variable parent uniforme", main = paste("Echantillons de taille", n))
 histsom <- hist((somexpe), breaks=seq(-4, 4, 8 / nbclass), right=F, freq = F,
    xlab = "variable somme centre rduite", main = paste("Sommes d'chantillons de taille", n))
    points(x, ygaus, type = "l")
# print(histexpe$breaks) ; print(histexpe$counts)
# print(histsom$breaks) ; print(histsom$counts)
}
