velorollerd = function(urne = c("V","R","P","L"), urneL = c(.7,.2,.1), nbsim = 20000){
   distexpe <- vector(length = 6) # ou rep(0,4)
   names(distexpe) <- c("V","R","P","LV","LR","LP")
   for(j in 1:nbsim){
      jeton <- sample(urne, 1, replace=T)
      if(jeton == "V") distexpe[1] <- distexpe[1] + 1
      if(jeton == "R") distexpe[2] <- distexpe[2] + 1
      if(jeton == "P") distexpe[3] <- distexpe[3] + 1
      if(jeton == "L"){
         tirage2 <- sample(c("V","R","P"), 1, prob = urneL, replace = T)
         if(tirage2 == "V") distexpe[4] <- distexpe[4] + 1
         if(tirage2 == "R") distexpe[5] <- distexpe[5] + 1
         if(tirage2 == "P") distexpe[6] <- distexpe[6] + 1
                      }
                    }
   distdep <- c((distexpe[1]+distexpe[4]),(distexpe[2]+distexpe[5]),(distexpe[3]+distexpe[6]))
   names(distdep) <- c("VELO","ROLLER","PIED")
   cat("Une estimation de la probabilit de velo =",(distexpe[1]+distexpe[4])/nbsim,"\n")
   cat("Une estimation de la probabilit de roller =",(distexpe[2]+distexpe[5])/nbsim,"\n")
   cat("Une estimation de la probabilit de pied =",(distexpe[3]+distexpe[6])/nbsim,"\n")
   cat("Une estimation de la probabilit sachant velo de jeton L =",
        distexpe[4]/(distexpe[1]+distexpe[4]),"\n")
   par(mfrow = c(2,1))
   barplot(distexpe/nbsim, ylab = "Frquences relatives")
   barplot(distdep/nbsim, ylab = "Frquences relatives")
}

sixannees = function(n = 6, p = 1/3, k = 1, nbsim = 5000){
  vecnbannee <- vector(length = nbsim)
  for (j in 1:nbsim) vecnbannee[j] <- sum(runif(n) <= p)
  nbaumoinsk <- sum(vecnbannee >= k)
  cat("Estimation de la probabilit d'au moins", k,"non cycliste gagnant \n
   au cours des ",n," prochaines annes =",nbaumoinsk/nbsim,"\n")
}