binorob <- function(n = 100, p = .5, nbpoints = 1000){
 mu = n * p ; sigma2 = n * p * (1 - p)
 fenetre <- c(floor(mu - 4 * sqrt(sigma2)), floor(mu + 4 * sqrt(sigma2)))
 if(fenetre[1] < 0) fenetre[1] <- 0
 if(fenetre[2] > n) fenetre[2] <- n
  x <- seq(fenetre[1], fenetre[2], length.out = nbpoints)
 plot(x, dbinom(floor(x + .5), n, p), type= "l", col = "red",
      xlab = "variable X continue", ylab = "Probabilit",
      main = paste("Binomiale n =", n, ", p =", p, ", subdivision de :", nbpoints))
 print(x[1:100]) ; print("**************") ; print(floor(x + .5)[1:100])
 print("**************") ; print(fenetre)




}