#*** "Isomorphisme" d'une exprience alatoire******
piece1<-sample(c("Pile", "Face"), 1000, replace=TRUE)
(distpiece1 <- table(piece1))
barplot(distpiece1)
sum(piece1 == Pile])/1000
#
#---------------------------------------------------
#****Simuler le problme historique du grand duc de Toscane ("Somme" de 3 ds)***
de1<-sample(c(1:6),1000,replace=TRUE)
  (distde1 <- table(de1))
  barplot(distde1)
de2<-sample(c(1:6),1000,replace=T)
  (distde2 <- table(de2))
  dev.new()
  barplot(distde2)
de3<-sample(c(1:6),1000,replace=T)
  (distde3 <- table(de3))
  dev.new()
  barplot(distde3)
de <- de1 + de2 + de3
(distde <- table(de))
  dev.new()
  barplot(distde)
  nbneuf <- sum(de == 9)
  nbdix <- sum(de == 10)
  cat("Frquence des neuf =",nbneuf/1000,"\n")
  cat("Frquence des dix =",nbdix/1000,"\n")
#
barplot(distde, xlab = "Somme des numros des 3 faces",
 ylab = "Effectifs simuls",
 main = paste("Diagramme en barre de 1000 simulations\n du jet de 3 ds quilibrs"))
#--------------------------------------------------
#*****fonction simulation grand duc*************
grandduc <- function(nbsim=1000){
 de1<-sample(c(1:6), nbsim, replace=TRUE)
 de2<-sample(c(1:6), nbsim, replace=TRUE)
 de3<-sample(c(1:6), nbsim, replace=TRUE)
 de <- de1 + de2 + de3
 distde <- table(de)
 print(distde)
 barplot(distde)
}
#---------------------------------------------------
#***Calculer avec le modle mathmatique "exact"****
#****Construire l'univers correspondant  cette exprience***
serieS3de <- array(data = NA, dim = c(6, 6, 6))
 for(i in 1:6){
   for(j in 1:6){
     for(k in 1:6){
        serieS3de[i, j, k] <- i + j + k
                  }
                }
            }
 serieS3de
 (distS3de <- table(serieS3de))
 nbneuf <- sum(serieS3de == 9)
 nbdix <- sum(serieS3de == 10)
 cat("Probabilit de neuf =",nbneuf/1000,"\n")
 cat("Probabilit de dix =",nbdix/1000,"\n")
 dev.new()
 barplot(distS3de)
 graphics.off()
#-------------------------------------------------
