MaladBovins = function(M = .01, TsM = .85, TsNonM = .05){
 arbrepond <- c(M * TsM, M * (1 - TsM), (1 - M) * TsNonM, (1 - M)* (1 - TsNonM))
 names(arbrepond) <- c("MetT", "MetnonT", "NonMetT", "NonMetNonT")
 PdeT <- arbrepond[1] + arbrepond[3]
 PdeMsachantT <- arbrepond[1]/PdeT
 AuMoins1sur5 <- 1 - (1-PdeT)^5
 distcout <- c(arbrepond[4], arbrepond[1] + arbrepond[3], arbrepond[2])
 names(distcout) <- c(0, 100, 1000)
 esperancecout <- sum(distcout * as.numeric(names(distcout)))
 troupeau200 <- 200 * esperancecout
 cat("\n Probabilits au bout des branches\n")
 print(arbrepond)
 cat("\n Proba de M et T =", arbrepond[1], "\n")
 cat(" Proba de T =", PdeT, "\n")
 cat(" Sachant T, Proba de M =", PdeMsachantT, "\n")
 cat("\n Au moins T un sur les cinq =", AuMoins1sur5, "\n")
 cat("\n Esprance de la variable cot =", esperancecout, " \n")
 cat(" Esprance de cot pour un troupeau de 200 bovins =", troupeau200, " \n")
 barplot(arbrepond[1:3], xlab = "vnements", ylab = "Probabilit")
}