troislancers = function( point = c(0, 3, 5), proba = c(1/2, 1/3, 1/6), gagne = 8){
 point3lancers <- vector(length = 27)
 proba3lancers <- vector(length = 27)
 pg1 <- 0
 pg2 <- 0
 pg3 <- 0
 L <- 1
 for(i in 1:3){
   if(point[i] >= gagne) pg1 <- pg1 + proba[i]
   for(j in 1:3){
     if(point[i] < gagne & point[i] + point[j] >= gagne){
        pg2 <- pg2 + proba[i] * proba[j]                }
     for(k in 1:3){
       if(point[i] + point[j] < gagne & point[i] + point[j] + point[k] >= gagne){
         pg3 <- pg3 + proba[i] * proba[j] * proba[k]                            }
       point3lancers[L] <- point[i] + point[j] + point[k]
       proba3lancers[L] <- proba[i] * proba[j] * proba[k]
       L <- L+1
                  }
                }
              }
 tablopoint <- table(point3lancers)
 nbpoint <- length(tablopoint)
 distpoint <- vector(length = nbpoint)
 names(distpoint) <- (names(tablopoint))
 for(i in 1:nbpoint){
   distpoint[i] <-
   sum(proba3lancers[which(point3lancers == as.numeric(names(tablopoint[i])))])
                    }
 probaperdre <- sum(distpoint[as.numeric(names(distpoint)) < gagne])
 probagagner <- pg1 + pg2 + pg3
 distribX <- c(probaperdre, pg3, pg2)
 names(distribX) <- c(-2, 1, 3)
 esperanceX <- sum(distribX * as.numeric(names(distribX)))
 cat("Distribution de la variable nombre de points  l'issue de 3 lancers \n")
 print(distpoint)
 cat("\n Rpartition de la variable nombre de points  l'issue de 3 lancers \n")
 print(cumsum(distpoint))
 cat("\n Proba cumules dcroissantes de la variable",
     " nombre de points  l'issue de 3 lancers \n")
 print(cumsum(distpoint[nbpoint:1])[nbpoint:1])
 cat("\n Probabilit de perdre la partie =", probaperdre, "\n")
 cat(" Probabilit de gagner la partie en 1 lancer, P(g1) =", pg1, "\n")
 cat(" Probabilit de gagner la partie en 2 lancers, P(g2) =", pg2, "\n")
 cat(" Probabilit de gagner la partie en 3 lancers P(g3) =", pg3, "\n")
 cat(" Probabilit de gagner la partie =", probagagner, "\n \n")
 cat("En supposant toutes les parties indpendantes, ce qui voudrait dire \n",
     " qu'il n'y a pas d'apprentissage, \n",
     "la probabilit de gagner au moins une fois en 6 parties est :",
      1 - (1 - probagagner)^6, "\n \n")
 cat("La distribution de X est :\n")
 print(distribX)
 cat("L'esprance de X est :",esperanceX, " \n")
 par(mfrow = c(3, 1))
 barplot(distpoint, ylab = "Probabilits")
 barplot(cumsum(distpoint), ylab = "Probabilits cumules")
 barplot(cumsum(distpoint[nbpoint:1])[nbpoint:1],
   ylab = "Probabilits cumules", xlab = "Total des points sur 3 lancers")
}