BinoCloche = function(n = 10, p=.2){
  mu <- n*p ; sigm <- sqrt(n*p*(1-p))
  probabino <- dbinom(0:n,n,p)
  ak <- (0:(n+1) - mu)/sigm
  etendue <- (ak[2]-ak[1])/2
  bk <- ak - etendue
  probagauss <- rep(0, n+1)
  for(i in 1:(n+1)) probagauss[i] <- pnorm(bk[i+1]) - pnorm(bk[i])
  difbinogauss <- probabino - probagauss
#******************** Affichage des rsultats **********************
  graphics.off()
# cat("Distribution binomiale","\n") ; print(probabino)
# cat("Distribution de Gauss","\n") ; print(probagauss)
# cat("Densit de Gauss","\n") ; print(dnorm(seq(0, n, 1), mu, sigm))
  x <- t(as.matrix(data.frame(BINO=probabino,GAUSS=probagauss)))
  barplot(x,beside=T,legend=T, names.arg = 0:n,
      xlab = "Valeurs de la variable discrte", ylab = "Probabilits")
    title(paste("Convergence de la loi binomiale n =",n," ; p =",p))
  windows()
  mat <- matrix(c(1, 2),1 ,2, byrow = T)
  layout(mat, widths = c(3,10))
  boxplot(difbinogauss)
  plot(0:n, difbinogauss, xlab = "Valeurs de la variable discrte",
    ylab = "Delta bino - Gauss", type = "h", ylim = c(-.001, .001))
    title(paste("Convergence de la loi binomiale n =",n," ; p =",p))
    abline(h = 0)
# xgauss <- seq(0, n, .1) ; ygauss <- dnorm(seq(0, n, .1), mu, sigm)
# plot(0:n , probabino, type ="h")
#   lines(0:n, probagauss)
#   lines(xgauss, ygauss, pch = "*", cex = 2)
}