simulbino = function(n = 4, p =3/8, nsim = 1000){
  DistSim <- vector(length = nsim)
  tabloeffec <- rep(0,n+1)
  names(tabloeffec) <- 0:n
  for (i in 1:nsim){
        vecunif <- runif(n)
        vecbino <- sum(vecunif <= p)
        DistSim[i] <- vecbino
                   }
  effec <- table(DistSim)
  tabloeffec[as.numeric(names(effec))+1] <- effec
  cumeffec <- cumsum(tabloeffec)
  quantiles <-  quantile(DistSim, probs = c(.5,1,2.5,5,25,50,75,95,97.5,99,99.5)/100)
  # plot(DistSim)
  # print("tabloeffec")
  # print(tabloeffec)
  # print("cumeffec")
  # print(cumeffec)
  # print("quantiles")
  # print(quantiles)
  print ("tabloeffec/nsim")
  print (tabloeffec/nsim)
  barplot(tabloeffec, xlab = "Nombre de succs", ylab = "Effectif")
}  