chapeauxd = function(m = 20, nsim = 1000){
  crochets <- seq(1,m)
  sansfixe <- 0
  nbfixes <- vector(length = nsim)
  tabloeffec <- rep(0,m+1)
  names(tabloeffec) <- 0:m
  for(i in 1:nsim){
     chapeaux <- sample(crochets,m)
     fixes <- crochets - chapeaux
     nbfixes[i] <- sum(fixes == 0)
                  }
  effec <- table(nbfixes)
  tabloeffec[as.numeric(names(effec))+1] <- effec
  print ("tabloeffec/nsim")
  print (tabloeffec/nsim)
  cat("\n")
  cat("Estimation de la probabilit d'aucun des",m,"chapeaux  leur place \n")
  cat(tabloeffec[1]/nsim, "\n")
  barplot(tabloeffec, xlab = "Nombre de points fixes", ylab = "Effectif")
}