flechesD = function(cible = c(0, 3, 5), proba = c(3/6, 2/6, 1/6),
                    n = 3, gagne = 8, nbsim = 2000){
 vectgagne <- vector(length = nbsim)
 tablogagne <- rep(0, n + 1)
 names(tablogagne) <- 0:n
 for(i in 1:nbsim){
   nblancers <- 0
   CumParties <- 0
   while(CumParties < gagne & nblancers < n){
      partie <- sample(cible, 1, proba, replace = T)
      CumParties <- CumParties + partie
      nblancers <- nblancers + 1            }
   if(nblancers == n & CumParties < gagne) {vectgagne[i] <- 0} else {
      vectgagne[i] <- nblancers                                     }
                  }
 tablogagne[as.numeric(names(table(vectgagne))) +1] <- table(vectgagne)
 AuMoins1sur6 <- 1 - (tablogagne[1]/nbsim)^6
 distribX <- c(tablogagne[1], tablogagne[4], tablogagne[3])/nbsim
 names(distribX) <- c(-2, 1, 3)
 esperanceX <- sum(distribX * as.numeric(names(distribX)))
########### Affichage des rsultats
 cat("\n Distribution simule du rang du lancers gagnant sur 3 lancers \n")
 print(tablogagne/nbsim)
 cat("\n Estimation de la proba de perdre aprs 3 lancers =",
    tablogagne[1]/nbsim, "\n")
 cat(" Estimation de la proba de gagner en 1 lancer =",
     tablogagne[2]/nbsim, "\n")
 cat(" Estimation de la proba de gagner en 2 lancers =",
     tablogagne[3]/nbsim, "\n")
 cat(" Estimation de la proba de gagner en 3 lancers =",
     tablogagne[4]/nbsim, "\n")
 cat(" Estimation de la proba de gagner =",
     sum(tablogagne[2:4])/nbsim, "\n")
 cat("Estimation de la proba degagner au moins une partie sur 6 =",
     AuMoins1sur6, "\n")
 cat("\n Distribution sumule de la variable alatoires X :\n")
 print(distribX)
 cat(" Esprance de X =",esperanceX, " \n")
 par(mfrow = c(2, 1))
 barplot(tablogagne/nbsim, xlab = "rang du lancer gagnant",
         ylab = "frquence sumule")
 barplot(distribX, xlab = "gain en ", ylab = "frquence sumule")
}